#include <stdio.h>

#include "input.h"
#include "output.h"
#include "error.h"
#include "scanner.h"
#include "parser.h"
#include "codegen.h"
#include "param.h"


// Initialize

void Init()
{
	// Initialize the input stream
	init_input();

	GetChar();
	Next();
	ClearParams();
}


int main (int argc, char* argv[])
{

	// Initialize the input stream
	init_input();

	Init();
	Header();
	TopDecls();
	Epilog();

	return(0);
}

